Bug 242873 - (min12xxw-review) Review Request: min12xxw - Print filter for Minolta printer
Review Request: min12xxw - Print filter for Minolta printer
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
: HardwareEnablement
Depends On:
Blocks: 242872
  Show dependency treegraph
Reported: 2007-06-06 02:16 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-07 18:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-06-06 02:16:57 EDT
Spec URL: http://people.redhat.com/lkundrak/SPECS/min12xxw.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/min12xxw-0.0.9-1.src.rpm
Description: This is a printer driver for Minolta printers.

It basically takes raw PBM input and adds Minolta protocol metadata.
The protocol is documented in format.txt that is included in %doc of this

The upstream states that the code is in the beta stage, but as no known issues
are known with PagePro 1200 1300 and 1400 I mean he only means that it
is not feature complete and he wants to extends hardware compatibility to
other printers using similar protocol (e.g. TallyGenicom 9316). So this is
basically enough for drivers we ship that need this util.

This filter is actually attempted by a number of foomatic drivers actually
includes this distribution, so they are all broken at the time. Including this
tool would solve bug #242872.
Comment 1 Jason Tibbitts 2007-06-06 16:13:29 EDT
* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane.
* %check is not present; no test suite upstream.  I do not have the hardware 
  required to test this pacakge.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.  (Actually the 
   GPL is larger than the executables, but the entire package is only 64K.)
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 2 Lubomir Kundrak 2007-06-07 07:44:09 EDT
New Package CVS Request
Package Name: min12xxw
Short Description: Print filter for Minolta printer
Owners: lkundrak@redhat.com
Branches: FC-6 F-7
InitialCC: lkundrak@redhat.com
Comment 3 Kevin Fenzi 2007-06-07 15:50:32 EDT
No need to add yourself to CC, owners get all emails already. 
cvs done. 

Note You need to log in before you can comment on or make changes to this bug.